package com.sundot.airport.exam.logic.manage.model.params.sub;

import com.sundot.airport.exam.enums.QuesCompScoreTypeEnum;

/**
 * <b>功能名：</b>TestPaperQuestionParam<br>
 * <b>说明：</b> 试卷题目列表参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-22 liangxiao
 */
public class TestPaperQuestionParam {

    /**
     * 题目满分（用于统计）
     */
    private Integer tpqTotalScore;

    /**
     * 积分方式（枚举=LEFT左增；RIGHT右减）
     */
    private QuesCompScoreTypeEnum tpqCompType = QuesCompScoreTypeEnum.NONE;

    /**
     * A情况分值
     */
    private Integer tpqLeftScore;

    /**
     * B情况分值（一般是减分）
     */
    private Integer tpqRightScore;

    /**
     * 试卷表业务主键
     */
    private String tpId;

    /**
     * 题干表业务主键
     */
    private String quId;

    /**
     * 题目排序
     */
    private Integer sort;

    public Integer getTpqTotalScore() {
        return tpqTotalScore;
    }

    public void setTpqTotalScore(Integer tpqTotalScore) {
        this.tpqTotalScore = tpqTotalScore;
    }

    public QuesCompScoreTypeEnum getTpqCompType() {
        return tpqCompType;
    }

    public void setTpqCompType(QuesCompScoreTypeEnum tpqCompType) {
        this.tpqCompType = tpqCompType;
    }

    public Integer getTpqLeftScore() {
        return tpqLeftScore;
    }

    public void setTpqLeftScore(Integer tpqLeftScore) {
        this.tpqLeftScore = tpqLeftScore;
    }

    public Integer getTpqRightScore() {
        return tpqRightScore;
    }

    public void setTpqRightScore(Integer tpqRightScore) {
        this.tpqRightScore = tpqRightScore;
    }

    public String getTpId() {
        return tpId;
    }

    public void setTpId(String tpId) {
        this.tpId = tpId;
    }

    public String getQuId() {
        return quId;
    }

    public void setQuId(String quId) {
        this.quId = quId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "TestPaperQuesAddParam{" +
                "tpqTotalScore=" + tpqTotalScore +
                ", tpqCompType=" + tpqCompType +
                ", tpqLeftScore=" + tpqLeftScore +
                ", tpqRightScore=" + tpqRightScore +
                ", tpId=" + tpId +
                ", quId=" + quId +
                ", sort=" + sort +
                "}";
    }

}
